
#include <iostream>
#include <stdlib.h>

void exit_usage()
{
	std::cerr << "fillmem RAM_size_in_MB" << std::endl;
	exit(1);
}

int main(int argc, char *argv[])
{
	if( argc != 2 )
		exit_usage();
	unsigned long size = atoi(argv[1])*1024*1024;
	long *A = new long[size/sizeof(long)];
	A[0] = rand();
	A[1] = rand();
	for( unsigned long i=2; i!=size/sizeof(long); ++i )
	A[i] = 2*A[i-2]-A[i-1];
	return A[size/sizeof(long)-1] - A[rand() % size/sizeof(long)];
}
