#!/bin/bash

mem=512
outfile=../../../../../bench/Bench$1$2.$HOST.xml
file1=/tmp/unsorted.img
file2=/tmp/sorted.img

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" > $outfile
echo "<benchmark date=\"\" os=\"$OP_TYPE\" version=\"\" host=\"$HOST\">" >> $outfile
for s in `cat sizes`
do
	if [ "$1" == "-er" ]
	then
		s=`expr $s / 8`
	fi
	rm -f $file1 $file2
	sortgen $1 $2 $s $file1
	fillmem $mem
	sleep 4
	funnelsort $1 $file1 $file2 >> $outfile
	
	rm -f $file1 $file2
	sortgen $1 $2 $s $file1
	fillmem $mem
	sleep 4
	ffunnelsort $1 $file1 $file2 >> $outfile
	
	rm -f $file1 $file2
	sortgen $1 $2 $s $file1
	fillmem $mem
	sleep 4
	lowscosa $1 $file1 $file2 >> $outfile
	
	rm -f $file1 $file2
	sortgen $1 $2 $s $file1
	fillmem $mem
	sleep 4
	stdsort $1 $file1 $file2 >> $outfile
	
	rm -f $file1 $file2
	ami_sort $1 -g $s $file1 >& /dev/null
	fillmem $mem
	sleep 4
	ami_sort $1 $file1 $file2 >> $outfile
	
done
for s in `cat p2sizes`
do
	if [ "$1" == "-er" ]
	then
		s=`expr $s / 8`
	fi
	rm -f $file1 $file2
	sortgen $1 $2 $s $file1
	fillmem $mem
	sleep 4
	msort-m $1 $file1 $file2 >> $outfile
	
	rm -f $file1 $file2
	sortgen $1 $2 $s $file1
	fillmem $mem
	sleep 4
	msort-c $1 $file1 $file2 >> $outfile
done	
rm -f $file1 $file2
echo "</benchmark>" >> $outfile
