
#include "minxp/array.h"
#include "../bench.h"
#include <algorithm>

struct sorter
{
	typedef minxp::true_type inplace;
	template<class RanIt>
	static inline void sort(RanIt b, RanIt e)
		{ std::sort(b, e); }
	static const char* name;
};
const char* sorter::name = "stdsort";

int main(int argc, char *argv[])
{
	return bench_this<sorter>(argv,argc+argv);
}
