<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" omit-xml-declaration="no" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:template match="benchmark">
		<benchmark><xsl:apply-templates select="run"/></benchmark>
 	</xsl:template>

	<xsl:template match="run[@buildtime='Sep 10 2003 01:38:53']">
		<run><xsl:apply-templates select="algorithm"/></run>
 	</xsl:template>

	<xsl:template match="algorithm[text()='sgisort']">
		<algorithm>sedsort</algorithm>
 	</xsl:template>
 	
	<xsl:template match="run">
		<xsl:copy-of select="."/>
 	</xsl:template>

</xsl:stylesheet>
